﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url           = 'https://downloads.jtl-software.de/setup-jtl-wawi_1.7.7.1_0126-1435_210d4590731.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  softwareName  = 'JTL-Wawi*'
  checksum      = 'bfc7744636ca5b25b1c10e344e4187a0d2da49e3998cab6257e3cc2d9585670e'
  checksumType  = 'sha256'
  #silentArgs	 = "/SP- /ALLUSERS /NOCANCEL /NORESTART /LOG /NORESTARTAPPLICATIONS /CLOSEAPPLICATIONS /SUPPRESSMSGBOXES"
  silentArgs	 = "/SP- /VERYSILENT /ALLUSERS /NOCANCEL /NORESTART /LOG /NORESTARTAPPLICATIONS /CLOSEAPPLICATIONS "
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
